{
  "compilerOptions": {
    "target": "es5",
    "lib": ["dom", "dom.iterable", "esnext"],

    "allowJs": true,
    "skipLibCheck": true,
    "strict": true,
    "forceConsistentCasingInFileNames": true,
    "noEmit": true,
    "esModuleInterop": true,
    "module": "esnext",
    "moduleResolution": "node",
    "resolveJsonModule": true,
    "isolatedModules": true,
    "jsx": "preserve",
    "incremental": true,
    "allowImportingTsExtensions": true,

    "plugins": [{ "name": "next" }],
    "paths": { "@/*": ["./src/*"] }
  },
  "include": [
    "next-env.d.ts",
    "**/*.ts",
    "**/*.tsx",
    ".next/types/**/*.ts"
    //
  ],
  "exclude": [
    "node_modules",
    ".next",
    //
    "**/*del",
    "**/*plan",
    "**/*.bak",
    "*.bak",
    "*.log",
    "*.tmp",
    "*.bug",
    "*.del",
    "*.draft",
    "**/* copy *.tsx",
    "**/* copy.tsx"
  ]
}
